package sample.scene{
	import flash.events.Event;
	import jp.progression.casts.*;
	import jp.progression.commands.display.*;
	import jp.progression.commands.lists.*;
	import jp.progression.commands.managers.*;
	import jp.progression.commands.media.*;
	import jp.progression.commands.net.*;
	import jp.progression.commands.tweens.*;
	import jp.progression.commands.*;
	import jp.progression.data.*;
	import jp.progression.events.*;
	import jp.progression.executors.*;
	import jp.progression.scenes.*;
	import sample.util.ClassSceneLoader;
	import sample.view.page.IndexPage;
	
	/**
	 * ...
	 * @author ...
	 */
	public class IndexScene extends SceneObject 
	{
		public var page:IndexPage;
		public var pageAScene:PageAScene;
		public var pageBScene:ClassSceneLoader;
		
		public function IndexScene() 
		{
			title = "index";
			pageAScene = new PageAScene("page_a");
			addScene(pageAScene);
			
			pageBScene = new ClassSceneLoader("branch.swf", "page_b", null);
			addScene(pageBScene);
			
			page = new IndexPage();
			
			stage.addEventListener(Event.RESIZE, stageResizeHD);
			stageResizeHD();
		}
		
		private function stageResizeHD(e:Event = null):void 
		{
			var w:int = stage.stageWidth;
			var h:int = stage.stageHeight;
			container.x = Math.floor((w - 480) / 2);
			container.y = Math.floor((h - 360) / 2);
		}
		
		override protected function atSceneInit():void 
		{
			addCommand(
				new AddChild(container, page)
			);
		}
		
		override protected function atSceneGoto():void 
		{
			addCommand(
				new RemoveChild(container, page)
			);
		}
	}
}
