package sample.scene 
{
	import jp.progression.commands.display.AddChild;
	import jp.progression.commands.display.RemoveChild;
	import jp.progression.scenes.SceneObject;
	import sample.view.page.PageA;
	/**
	 * ...
	 * @author KinkumaDesign
	 */
	public class PageAScene extends SceneObject
	{
		public var page:PageA;
		
		public function PageAScene( name:String = null, initObject:Object = null ) 
		{
			super( name, initObject );
			title = "Page A";
			page = new PageA();
		}
		
		override protected function atSceneInit():void 
		{
			addCommand(
				new AddChild(container, page)
			);
		}
		
		override protected function atSceneGoto():void 
		{
			addCommand(
				new RemoveChild(container, page)
			);
		}
	}

}