﻿package sample.util {
	import flash.net.URLRequest;
	import flash.text.TextField;
	import jp.progression.commands.net.LoadScene;
	import jp.progression.scenes.SceneLoader;
	/**
	 * original: ProgressionによるFlashコンテンツ開発ガイドブック 4-3-5
	 */
	public class ClassSceneLoader extends SceneLoader
	{
		public var swfFileName:String;
		
		public function ClassSceneLoader(filename:String, name:String = null, initObject:Object = null) 
		{
			super(name, initObject);
			swfFileName = filename;
		}
		
		//シーンが読み込まれる際の処理
		protected override function atScenePreLoad():void {
			var tf:TextField = new TextField();
			addCommand(
				new LoadScene(new URLRequest(swfFileName), this, null, {
					//こんな感じにしておくと、ローディング状況が表示できた
					onStart:function() {
						container.addChild(tf);
						tf.x = 200;
						tf.y = 180;
					},
					onProgress:function() {
						var a:Number = this.bytesLoaded;
						var b:Number = this.bytesTotal;
						var n:int = Math.floor(100 * a / b);
						trace(n + "%");
						tf.text = n + "%";
					},
					onComplete:function() {
						container.removeChild(tf);
					}
				})
			);
		}
		
		//シーンが破棄された場合の処理
		protected override function atScenePostUnload():void {
			// 読み込んだシーンを破棄する
			unload();
		}
		
	}

}