package sample.view.page 
{
	import jp.progression.casts.CastSprite;
	import jp.progression.commands.tweens.DoTweener;
	import jp.progression.scenes.SceneId;
	import sample.view.button.BasicButton;
	/**
	 * ...
	 * @author KinkumaDesign
	 */
	public class IndexPage extends CastSprite
	{
		public var btn1:BasicButton;
		public var btn2:BasicButton;
		public var btn3:BasicButton;
		
		public function IndexPage( initObject:Object = null ) 
		{
			super( initObject );
			
			btn1 = getChildByName("btn1") as BasicButton;
			btn1.setLabelStr("Page A");
			btn1.sceneId = new SceneId("/index/page_a");
			
			btn2 = getChildByName("btn2") as BasicButton;
			btn2.setLabelStr("Page B");
			btn2.sceneId = new SceneId("/index/page_b");
			
			btn3 = getChildByName("btn3") as BasicButton;
			btn3.setLabelStr("Page C");
			btn3.sceneId = new SceneId("/index/page_b/page_c");
		}
		
		override protected function atCastAdded():void 
		{
			alpha = 0;
			btn1.alpha = 1;
			btn2.alpha = 1;
			btn3.alpha = 1;
			
			addCommand(
				new DoTweener(this, { alpha:1, time:0.5 } )
			);
		}
		
		override protected function atCastRemoved():void 
		{
			addCommand(
				new DoTweener(this, { alpha:0, time:0.5 } )
			);
		}
	}

}