package sample.scene 
{
	import jp.progression.commands.display.AddChild;
	import jp.progression.commands.display.RemoveChild;
	import jp.progression.scenes.SceneObject;
	import sample.view.page.PageB;
	/**
	 * ...
	 * @author KinkumaDesign
	 */
	public class PageBScene extends SceneObject
	{
		public var pageCScene:PageCScene;
		public var page:PageB;
		
		public function PageBScene( name:String = null, initObject:Object = null ) 
		{
			super( name, initObject );
			title = "Page B";
			id = "PageB"; //どこからでも参照可能なようにセットしておく
			
			pageCScene = new PageCScene("page_c");
			addScene(pageCScene);
			
			page = new PageB();
		}
		
		override protected function atSceneInit():void 
		{
			addCommand(
				new AddChild(container, page)
			);
		}
		
		override protected function atSceneGoto():void 
		{
			addCommand(
				new RemoveChild(container, page)
			);
		}
	}

}