package sample.scene 
{
	import jp.progression.commands.display.AddChild;
	import jp.progression.commands.display.RemoveChild;
	import jp.progression.scenes.SceneObject;
	import sample.view.page.PageC;
	/**
	 * ...
	 * @author KinkumaDesign
	 */
	public class PageCScene extends SceneObject
	{
		public var page:PageC;
		
		public function PageCScene( name:String = null, initObject:Object = null ) 
		{
			super( name, initObject );
			title = "Page C";
			id = "PageC"; //どこからでも参照可能なようにセットしておく
			
			page = new PageC();
		}
		
		override protected function atSceneInit():void 
		{
			addCommand(
				new AddChild(container, page)
			);
		}
		
		override protected function atSceneGoto():void 
		{
			addCommand(
				new RemoveChild(container, page)
			);
		}
	}

}